<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::cvmatrix Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1cvmatrix.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1core_1_1cvmatrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::cvmatrix Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a matrix of kind CvMat.  
 <a href="classflair_1_1core_1_1cvmatrix.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cvmatrix_8h_source.html">cvmatrix.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::core::cvmatrix:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1core_1_1cvmatrix.png" usemap="#flair::core::cvmatrix_map" alt=""/>
  <map id="flair::core::cvmatrix_map" name="flair::core::cvmatrix_map">
<area href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="flair::core::io_data" shape="rect" coords="0,112,119,136"/>
<area href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="flair::core::Mutex" shape="rect" coords="0,56,119,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,119,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">Type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4768e402933d6b3f48c86643587218c5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#a4768e402933d6b3f48c86643587218c5">cvmatrix</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, const <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a> *descriptor, <a class="el" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;elementDataType, std::string name=&quot;&quot;, uint32_t n=1)</td></tr>
<tr class="memdesc:a4768e402933d6b3f48c86643587218c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a4768e402933d6b3f48c86643587218c5">More...</a><br /></td></tr>
<tr class="separator:a4768e402933d6b3f48c86643587218c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc9cfafcbe8bc934b4ec2e4cd22b497"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#a5cc9cfafcbe8bc934b4ec2e4cd22b497">cvmatrix</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, uint32_t rows, uint32_t cols, <a class="el" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;elementDataType, std::string name=&quot;&quot;, uint32_t n=1)</td></tr>
<tr class="memdesc:a5cc9cfafcbe8bc934b4ec2e4cd22b497"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a5cc9cfafcbe8bc934b4ec2e4cd22b497">More...</a><br /></td></tr>
<tr class="separator:a5cc9cfafcbe8bc934b4ec2e4cd22b497"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfd2ab692ce77583a1c6983aa50e6645"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#adfd2ab692ce77583a1c6983aa50e6645">~cvmatrix</a> ()</td></tr>
<tr class="memdesc:adfd2ab692ce77583a1c6983aa50e6645"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#adfd2ab692ce77583a1c6983aa50e6645">More...</a><br /></td></tr>
<tr class="separator:adfd2ab692ce77583a1c6983aa50e6645"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3a8b1722e62c8929a6533ec4afb9f2e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#aa3a8b1722e62c8929a6533ec4afb9f2e">Value</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:aa3a8b1722e62c8929a6533ec4afb9f2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element value.  <a href="#aa3a8b1722e62c8929a6533ec4afb9f2e">More...</a><br /></td></tr>
<tr class="separator:aa3a8b1722e62c8929a6533ec4afb9f2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34cd5a24e2271922c7c0f2c5da37a445"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#a34cd5a24e2271922c7c0f2c5da37a445">ValueNoMutex</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:a34cd5a24e2271922c7c0f2c5da37a445"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element value.  <a href="#a34cd5a24e2271922c7c0f2c5da37a445">More...</a><br /></td></tr>
<tr class="separator:a34cd5a24e2271922c7c0f2c5da37a445"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08f2ff150e752e735ac17c1717b5b88e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#a08f2ff150e752e735ac17c1717b5b88e">SetValue</a> (uint32_t row, uint32_t col, float value)</td></tr>
<tr class="memdesc:a08f2ff150e752e735ac17c1717b5b88e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set element value.  <a href="#a08f2ff150e752e735ac17c1717b5b88e">More...</a><br /></td></tr>
<tr class="separator:a08f2ff150e752e735ac17c1717b5b88e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19ee71a4ac6a6e491417759fc8d4e9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#ae19ee71a4ac6a6e491417759fc8d4e9e">SetValueNoMutex</a> (uint32_t row, uint32_t col, float value)</td></tr>
<tr class="memdesc:ae19ee71a4ac6a6e491417759fc8d4e9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set element value.  <a href="#ae19ee71a4ac6a6e491417759fc8d4e9e">More...</a><br /></td></tr>
<tr class="separator:ae19ee71a4ac6a6e491417759fc8d4e9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08e4d9c913df9c4be093b8b83705e2a"><td class="memItemLeft" align="right" valign="top">CvMat *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#aa08e4d9c913df9c4be093b8b83705e2a">getCvMat</a> (void) const </td></tr>
<tr class="memdesc:aa08e4d9c913df9c4be093b8b83705e2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">get CvMat  <a href="#aa08e4d9c913df9c4be093b8b83705e2a">More...</a><br /></td></tr>
<tr class="separator:aa08e4d9c913df9c4be093b8b83705e2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad88bdfce269471f3e39cf8dce9a682be"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#ad88bdfce269471f3e39cf8dce9a682be">Name</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:ad88bdfce269471f3e39cf8dce9a682be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element name.  <a href="#ad88bdfce269471f3e39cf8dce9a682be">More...</a><br /></td></tr>
<tr class="separator:ad88bdfce269471f3e39cf8dce9a682be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86646b6cf63734fc417414031374819d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d">Element</a> (uint32_t row, uint32_t col) const </td></tr>
<tr class="memdesc:a86646b6cf63734fc417414031374819d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element.  <a href="#a86646b6cf63734fc417414031374819d">More...</a><br /></td></tr>
<tr class="separator:a86646b6cf63734fc417414031374819d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accb5a54d77c4e1bdd3604087088bc2f0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#accb5a54d77c4e1bdd3604087088bc2f0">Element</a> (uint32_t index) const </td></tr>
<tr class="memdesc:accb5a54d77c4e1bdd3604087088bc2f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element.  <a href="#accb5a54d77c4e1bdd3604087088bc2f0">More...</a><br /></td></tr>
<tr class="separator:accb5a54d77c4e1bdd3604087088bc2f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a1e997443651c5a6f24fad7ca322311"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#a4a1e997443651c5a6f24fad7ca322311">Rows</a> (void) const </td></tr>
<tr class="memdesc:a4a1e997443651c5a6f24fad7ca322311"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of rows.  <a href="#a4a1e997443651c5a6f24fad7ca322311">More...</a><br /></td></tr>
<tr class="separator:a4a1e997443651c5a6f24fad7ca322311"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66f244158d65f5cbfe4fd3cbb2452fa9"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1cvmatrix.html#a66f244158d65f5cbfe4fd3cbb2452fa9">Cols</a> (void) const </td></tr>
<tr class="memdesc:a66f244158d65f5cbfe4fd3cbb2452fa9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of colomns.  <a href="#a66f244158d65f5cbfe4fd3cbb2452fa9">More...</a><br /></td></tr>
<tr class="separator:a66f244158d65f5cbfe4fd3cbb2452fa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a976f776e24a0aca8b4231ee821565b17"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a976f776e24a0aca8b4231ee821565b17"></a>
<a class="el" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">Type</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const </td></tr>
<tr class="separator:a976f776e24a0aca8b4231ee821565b17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">io_data</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">More...</a><br /></td></tr>
<tr class="separator:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a> ()</td></tr>
<tr class="memdesc:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a63b4bbba0120e45d69d616f7b7cb021a">More...</a><br /></td></tr>
<tr class="separator:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time)</td></tr>
<tr class="memdesc:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time, also caluculates the delta time based on last call.  <a href="#acae3fb98b266a788b12083c7eec2be10">More...</a><br /></td></tr>
<tr class="separator:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa51c08a0950cbe5ec5774446679ea43f">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> deltaTime)</td></tr>
<tr class="memdesc:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time and delta time (thus delta time is not based on last call)  <a href="#aa51c08a0950cbe5ec5774446679ea43f">More...</a><br /></td></tr>
<tr class="separator:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a9481c27408747e9392d9425f45699599">More...</a><br /></td></tr>
<tr class="separator:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9">DataDeltaTime</a> (void) const </td></tr>
<tr class="memdesc:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data delta time.  <a href="#aba2a52aae7efbcd769820cde4e1a38d9">More...</a><br /></td></tr>
<tr class="separator:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a02cd00111e4b93187b668de49cdec642">GetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;deltaTime) const </td></tr>
<tr class="memdesc:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get data time and delta time.  <a href="#a02cd00111e4b93187b668de49cdec642">More...</a><br /></td></tr>
<tr class="separator:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a6337ffd87caf22391c4484da3fc13d47">More...</a><br /></td></tr>
<tr class="separator:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa81cc1713a594806040a1e5d52ec9fa3">RawWrite</a> (char *src)</td></tr>
<tr class="memdesc:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw write datas.  <a href="#aa81cc1713a594806040a1e5d52ec9fa3">More...</a><br /></td></tr>
<tr class="separator:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa590e14a9fb18a1ffc5d4dbed85f46c4 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa590e14a9fb18a1ffc5d4dbed85f46c4">RawRead</a> (char *dst) const =0</td></tr>
<tr class="memdesc:aa590e14a9fb18a1ffc5d4dbed85f46c4 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw read datas.  <a href="#aa590e14a9fb18a1ffc5d4dbed85f46c4">More...</a><br /></td></tr>
<tr class="separator:aa590e14a9fb18a1ffc5d4dbed85f46c4 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></td></tr>
<tr class="memitem:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1f85044411d838898a794ceaeb78d8f0">Mutex</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a1f85044411d838898a794ceaeb78d8f0">More...</a><br /></td></tr>
<tr class="separator:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb">~Mutex</a> ()</td></tr>
<tr class="memdesc:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac8256454205d5146d1fe95b7538b25eb">More...</a><br /></td></tr>
<tr class="separator:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a225fbd364b794d698b1c7d8c6962492b">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a225fbd364b794d698b1c7d8c6962492b">More...</a><br /></td></tr>
<tr class="separator:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1fd1e2cbcacd6a51e21da35cd26800f6">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a1fd1e2cbcacd6a51e21da35cd26800f6">More...</a><br /></td></tr>
<tr class="separator:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">AppendLogDescription</a> (std::string description, <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#acc7fc08f29ba17fed5b94150826fae2d">More...</a><br /></td></tr>
<tr class="separator:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">More...</a><br /></td></tr>
<tr class="separator:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">prev</a></td></tr>
<tr class="memdesc:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a58e1a3f2fbf1655a047268375ba2202e">More...</a><br /></td></tr>
<tr class="separator:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a matrix of kind CvMat. </p>
<p>CvMat is a matrix struct defined in OpenCV. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4768e402933d6b3f48c86643587218c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::cvmatrix::cvmatrix </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a> *&#160;</td>
          <td class="paramname"><em>descriptor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;&#160;</td>
          <td class="paramname"><em>elementDataType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> representing a CvMat. <br />
It uses a <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html" title="Class describing cvmatrix elements, for log and graphs purpose. ">cvmatrix_descriptor</a> to get size and elements' names. <br />
Names are used for graphs and logs. <br />
All values are initialized to 0.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">descriptor</td><td>matrix description, it is safe to destroy it after calling this constructor </td></tr>
    <tr><td class="paramname">type</td><td>type of matrix elements </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5cc9cfafcbe8bc934b4ec2e4cd22b497"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::cvmatrix::cvmatrix </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>cols</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> const &amp;&#160;</td>
          <td class="paramname"><em>elementDataType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> representing a CvMat. <br />
Elements are unamed. <br />
All values are initialized to 0.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">rows</td><td>matrix rows </td></tr>
    <tr><td class="paramname">cols</td><td>matrix cols </td></tr>
    <tr><td class="paramname">type</td><td>type of matrix elements </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adfd2ab692ce77583a1c6983aa50e6645"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::cvmatrix::~cvmatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aa3a8b1722e62c8929a6533ec4afb9f2e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::core::cvmatrix::Value </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element value. </p>
<p>Element is accessed by locking and unlocking the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element value </dd></dl>

</div>
</div>
<a class="anchor" id="a34cd5a24e2271922c7c0f2c5da37a445"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float flair::core::cvmatrix::ValueNoMutex </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element value. </p>
<p>Element is not accessed by locking and unlocking the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>. <br />
Thus, this function should be called with <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> locked. <br />
This function is usefull when multiple successive access are done to the elments of the matrix. It avoids unnecessary locking and unlocking.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element value </dd></dl>

</div>
</div>
<a class="anchor" id="a08f2ff150e752e735ac17c1717b5b88e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::cvmatrix::SetValue </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set element value. </p>
<p>Element is accessed by locking and unlocking the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col </td></tr>
    <tr><td class="paramname">value</td><td>element value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae19ee71a4ac6a6e491417759fc8d4e9e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::cvmatrix::SetValueNoMutex </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set element value. </p>
<p>Element is not accessed by locking and unlocking the <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a>. <br />
Thus, this function should be called with <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> locked. <br />
This function is usefull when multiple successive access are done to the elments of the matrix. It avoids unnecessary locking and unlocking.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col </td></tr>
    <tr><td class="paramname">value</td><td>element value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa08e4d9c913df9c4be093b8b83705e2a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CvMat* flair::core::cvmatrix::getCvMat </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>get CvMat </p>
<p>The <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> <a class="el" href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. ">Mutex</a> must be used by the user. </p>

</div>
</div>
<a class="anchor" id="ad88bdfce269471f3e39cf8dce9a682be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string flair::core::cvmatrix::Name </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element name. </p>
<p>If cvmatrix was created without <a class="el" href="classflair_1_1core_1_1cvmatrix__descriptor.html" title="Class describing cvmatrix elements, for log and graphs purpose. ">cvmatrix_descriptor</a>, element name is empty.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element name </dd></dl>

</div>
</div>
<a class="anchor" id="a86646b6cf63734fc417414031374819d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a>* flair::core::cvmatrix::Element </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element. </p>
<p>Get a pointer to a specific element. This pointer can be used for plotting.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="accb5a54d77c4e1bdd3604087088bc2f0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a>* flair::core::cvmatrix::Element </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element. </p>
<p>Get a pointer to a specific element. This pointer can be used for plotting. <br />
 This function can be used for a 1D matrix.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>element index</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a4a1e997443651c5a6f24fad7ca322311"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t flair::core::cvmatrix::Rows </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of rows. </p>
<dl class="section return"><dt>Returns</dt><dd>rows </dd></dl>

</div>
</div>
<a class="anchor" id="a66f244158d65f5cbfe4fd3cbb2452fa9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t flair::core::cvmatrix::Cols </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of colomns. </p>
<dl class="section return"><dt>Returns</dt><dd>colomns </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1cvmatrix.html">cvmatrix</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
